#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace CarLib
{
    [Serializable()]
    public class Car
    {
        private int _carID;
        private string _carMake;
        private string _carModel;
        private string _engineType;

        public Car(int carID, string carMake, string carModel, string engineType)
        {
            _carID = carID;
            _carMake = carMake;
            _carModel = carModel;
            _engineType = engineType;

        }

        public int CarID
        {
            get { return _carID; }
        }

        public string CarModel
        {
            get
            {
                return _carModel;
            }

            set
            {
                _carModel = value;
            }
        }

        public string EngineType
        {
            get
            {
                return _engineType;
            }

            set
            {
                _engineType = value;
            }
        }

        public string CarMake
        {
            get
            {
                return _carMake;
            }

            set
            {
                _carMake = value;
            }
        }

    }
}
